﻿@model PROJETMODELE.Models.VML.TP.CaisseVM
@using PROJETMODELE.Models.DAL;
@{
    Layout = null;
    StoreEntities db = new StoreEntities();
    PROJETMODELE.Tools.Services service = new PROJETMODELE.Tools.Services();
    var societe = db.TG_Variable.Find(1);
    int i = 0;
    string chemin = Server.MapPath("/Content/");
    string carreau_barre = System.IO.Path.Combine(chemin, "carreau-barre.png");
    string carreau = System.IO.Path.Combine(chemin, "carreau.png");
    List<PROJETMODELE.Controllers.EtatController.JqwAjaxEtatSolde> Data = (List<PROJETMODELE.Controllers.EtatController.JqwAjaxEtatSolde>)TempData["Data"];
}

<html lang="fr">
<head>
    <meta charset="UTF-8">
    <style>
        .entete {
            text-align: center;
        }

        table {
            width: 100%;
            border-collapse: collapse;
        }

        .header-fiche table {
            margin-bottom: 0px;
        }

        .header-fiche h3, .header-fiche h4 {
            margin: 0;
        }

        .fiche td {
            border-right: 1px solid;
            border-left: 1px solid;
            border-top: 1px solid;
            border-bottom: 1px solid;
        }

        .fiche thead td {
            border: 1px solid;
            text-align: center;
            font-weight: bold;
        }

        .fiche tbody tr td:first-child {
            text-align: center;
        }

        .fiche tbody tr:last-child td {
            border-bottom: 1px solid;
        }

        .fiche tfoot td {
            border: none;
        }

        div.footer {
            position: fixed;
            bottom: 0;
            top: auto;
            width: 100%;
            text-align: right;
            color: red;
        }
    </style>

</head>
<body>
    <table></table>
    <div class="pv-ue">
        <div class="header-fiche">
            <table>
                <tr>
                    <td class="gras">
                        <h3>@societe.Nom_Societe</h3>
                        <h4></h4>
                    </td>
                </tr>
                <tr>
                    <td>@societe.Description</td>
                </tr>
                <tr>
                    <td>@societe.Adresse </td>
                    <td> </td>
                    <td><b>@societe.Ville le,</b> @DateTime.Now.ToString("dd/MM/yyyy - HH:mm:ss")</td>
                </tr>
                <tr>
                    <td><b>Tel.</b> @societe.Telephone</td>
                </tr>
            </table>
        </div>
        <table class="entete">
            <tbody>
                <tr>
                    <td><h4><u>Solde des caises</u></h4></td>
                </tr>
                <tr></tr>
            </tbody>
        </table>
        <br />
        <table class="fiche">
            <thead>
                <tr>
                    <th width="5%">N° </th>
                    <th width="15%">Caisse</th>
                    <th width="10%">Initial</th>
                    <th width="10%">Vente</th>
                    <th width="10%">Encaissement</th>
                    <th width="10%">Decaissement</th>
                    <th width="10%">Depense</th>
                    <th width="10%">Ristourne</th>
                    <th width="10%">Regulation</th>
                    <th width="10%">Solde</th>
                </tr>
            </thead>
                @foreach (var item in Data)
                {
                    i++;
                    <tr style="text-align:center;">
                        <td>@service.SeparateurMillier(i)</td>
                        <td align="left">@item.libelle</td>
                        <td>@service.SeparateurMillier(item.initial)</td>
                        <td>@service.SeparateurMillier(item.vente)</td>
                        <td>@service.SeparateurMillier(item.encaissement)</td>
                        <td>@service.SeparateurMillier(item.decaissement)</td>
                        <td>@service.SeparateurMillier(item.regularisation)</td>
                        <td>@service.SeparateurMillier(item.depense)</td>
                        <td>@service.SeparateurMillier(item.ristourne)</td>
                        <td>@service.SeparateurMillier(item.solde)</td>
                    </tr>
            }
                <tr>
                    <td colspan="9">Total</td>
                    <td align="center">@service.SeparateurMillier(Data.Sum(p => p.solde))</td>
                </tr>
            </table>
        </div>
    </body>
</html>
